ur_rna.RNAstructure.backend

## Class Thermodynamics

- java.lang.Object
- - ur_rna.RNAstructure.backend.Thermodynamics

- Direct Known Subclasses:
    RNA

      public class Thermodynamics
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `swigCMemOwn`
    `private long` | `swigCPtr`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `Thermodynamics()`
    `` | `Thermodynamics(boolean isRNA)`
    `` | `Thermodynamics(boolean isRNA, java.lang.String alphabetName)`
    `` | `Thermodynamics(boolean isRNA, java.lang.String alphabetName, double temperature)`
    `protected` | `Thermodynamics(long cPtr, boolean cMemoryOwn)`
    `` | `Thermodynamics(Thermodynamics copyThermo)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `ClearEnergies()`
    `void` | `ClearEnthalpies()`
    `void` | `delete()`
    `protected void` | `finalize()`
    `java.lang.String` | `GetAlphabetName()`
    `protected static long` | `getCPtr(Thermodynamics obj)`
    `datatable` | `GetDatatable()`
    `boolean` | `GetEnergyRead()`
    `datatable` | `GetEnthalpyTable()`
    `datatable` | `GetEnthalpyTable(java.lang.String alphabet)`
    `boolean` | `getIsrna()`
    `double` | `GetTemperature()`
    `boolean` | `IsAlphabetRead()`
    `int` | `ReadThermodynamic()`
    `int` | `ReadThermodynamic(java.lang.String directory)`
    `int` | `ReadThermodynamic(java.lang.String directory, java.lang.String alphabet)`
    `int` | `ReadThermodynamic(java.lang.String directory, java.lang.String alphabet, double temperature)`
    `int` | `ReloadDataTables()`
    `int` | `ReloadDataTables(double new_temperature)`
    `void` | `setIsrna(boolean value)`
    `int` | `SetTemperature(double temperature)`
    `boolean` | `VerifyThermodynamic()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### swigCMemOwn

          protected transient boolean swigCMemOwn

    - #### swigCPtr

          private transient long swigCPtr

  - ### Constructor Detail

    - #### Thermodynamics

          public Thermodynamics()

    - #### Thermodynamics

          public Thermodynamics(boolean isRNA)

    - #### Thermodynamics

          public Thermodynamics(boolean isRNA,
                                java.lang.String alphabetName)

    - #### Thermodynamics

          public Thermodynamics(boolean isRNA,
                                java.lang.String alphabetName,
                                double temperature)

    - #### Thermodynamics

          protected Thermodynamics(long cPtr,
                                   boolean cMemoryOwn)

    - #### Thermodynamics

          public Thermodynamics(Thermodynamics copyThermo)

  - ### Method Detail

    - #### ClearEnergies

          public void ClearEnergies()

    - #### ClearEnthalpies

          public void ClearEnthalpies()

    - #### delete

          public void delete()

    - #### finalize

          protected void finalize()

      Overrides:
        `finalize` in class `java.lang.Object`

    - #### GetAlphabetName

          public java.lang.String GetAlphabetName()

    - #### getCPtr

          protected static long getCPtr(Thermodynamics obj)

    - #### GetDatatable

          public datatable GetDatatable()

    - #### GetEnergyRead

          public boolean GetEnergyRead()

    - #### GetEnthalpyTable

          public datatable GetEnthalpyTable()

    - #### GetEnthalpyTable

          public datatable GetEnthalpyTable(java.lang.String alphabet)

    - #### getIsrna

          public boolean getIsrna()

    - #### GetTemperature

          public double GetTemperature()

    - #### IsAlphabetRead

          public boolean IsAlphabetRead()

    - #### ReadThermodynamic

          public int ReadThermodynamic()

    - #### ReadThermodynamic

          public int ReadThermodynamic(java.lang.String directory)

    - #### ReadThermodynamic

          public int ReadThermodynamic(java.lang.String directory,
                                       java.lang.String alphabet)

    - #### ReadThermodynamic

          public int ReadThermodynamic(java.lang.String directory,
                                       java.lang.String alphabet,
                                       double temperature)

    - #### ReloadDataTables

          public int ReloadDataTables()

    - #### ReloadDataTables

          public int ReloadDataTables(double new_temperature)

    - #### setIsrna

          public void setIsrna(boolean value)

    - #### SetTemperature

          public int SetTemperature(double temperature)

    - #### VerifyThermodynamic

          public boolean VerifyThermodynamic()